package com.trs.web2frame.tool.tyjyh.tonglaozheng;

public class ColumnMapData {

    private String MANUSCRIPT_ID;
    private String CC_TARGET_CHANNEL_ID;
    private String MANUSCRIPT_SEQ_NUM;
    private String USER_ID;
    private String CC_TIME;
    private String STATUS;
    private String IS_STICKY;
    private String IS_MODIFIED_SEQ_NUM;
    private String SORTED_TIME;
    private String RELATION;
    private String WEBSITE_ID;
    private String BATCH_NUMBER;
    private String TITLE;
    private String SUB_TITLE;
    private String TYPE;
    private String MEMO;
    private String CARBONCOPY_ID;

    private String HYCLOUD_CHANNEL_ID;

    private DemoData demoData;


    public ColumnMapData() {
    }

    public ColumnMapData(String MANUSCRIPT_ID, String CC_TARGET_CHANNEL_ID, String MANUSCRIPT_SEQ_NUM, String USER_ID, String CC_TIME, String STATUS, String IS_STICKY, String IS_MODIFIED_SEQ_NUM, String SORTED_TIME, String RELATION, String WEBSITE_ID, String BATCH_NUMBER, String TITLE, String SUB_TITLE, String TYPE, String MEMO, String CARBONCOPY_ID, String HYCLOUD_CHANNEL_ID, DemoData demoData) {
        this.MANUSCRIPT_ID = MANUSCRIPT_ID;
        this.CC_TARGET_CHANNEL_ID = CC_TARGET_CHANNEL_ID;
        this.MANUSCRIPT_SEQ_NUM = MANUSCRIPT_SEQ_NUM;
        this.USER_ID = USER_ID;
        this.CC_TIME = CC_TIME;
        this.STATUS = STATUS;
        this.IS_STICKY = IS_STICKY;
        this.IS_MODIFIED_SEQ_NUM = IS_MODIFIED_SEQ_NUM;
        this.SORTED_TIME = SORTED_TIME;
        this.RELATION = RELATION;
        this.WEBSITE_ID = WEBSITE_ID;
        this.BATCH_NUMBER = BATCH_NUMBER;
        this.TITLE = TITLE;
        this.SUB_TITLE = SUB_TITLE;
        this.TYPE = TYPE;
        this.MEMO = MEMO;
        this.CARBONCOPY_ID = CARBONCOPY_ID;
        this.HYCLOUD_CHANNEL_ID = HYCLOUD_CHANNEL_ID;
        this.demoData = demoData;
    }

    public String getMANUSCRIPT_ID() {
        return MANUSCRIPT_ID;
    }

    public void setMANUSCRIPT_ID(String MANUSCRIPT_ID) {
        this.MANUSCRIPT_ID = MANUSCRIPT_ID;
    }

    public String getCC_TARGET_CHANNEL_ID() {
        return CC_TARGET_CHANNEL_ID;
    }

    public void setCC_TARGET_CHANNEL_ID(String CC_TARGET_CHANNEL_ID) {
        this.CC_TARGET_CHANNEL_ID = CC_TARGET_CHANNEL_ID;
    }

    public String getMANUSCRIPT_SEQ_NUM() {
        return MANUSCRIPT_SEQ_NUM;
    }

    public void setMANUSCRIPT_SEQ_NUM(String MANUSCRIPT_SEQ_NUM) {
        this.MANUSCRIPT_SEQ_NUM = MANUSCRIPT_SEQ_NUM;
    }

    public String getUSER_ID() {
        return USER_ID;
    }

    public void setUSER_ID(String USER_ID) {
        this.USER_ID = USER_ID;
    }

    public String getCC_TIME() {
        return CC_TIME;
    }

    public void setCC_TIME(String CC_TIME) {
        this.CC_TIME = CC_TIME;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getIS_STICKY() {
        return IS_STICKY;
    }

    public void setIS_STICKY(String IS_STICKY) {
        this.IS_STICKY = IS_STICKY;
    }

    public String getIS_MODIFIED_SEQ_NUM() {
        return IS_MODIFIED_SEQ_NUM;
    }

    public void setIS_MODIFIED_SEQ_NUM(String IS_MODIFIED_SEQ_NUM) {
        this.IS_MODIFIED_SEQ_NUM = IS_MODIFIED_SEQ_NUM;
    }

    public String getSORTED_TIME() {
        return SORTED_TIME;
    }

    public void setSORTED_TIME(String SORTED_TIME) {
        this.SORTED_TIME = SORTED_TIME;
    }

    public String getRELATION() {
        return RELATION;
    }

    public void setRELATION(String RELATION) {
        this.RELATION = RELATION;
    }

    public String getWEBSITE_ID() {
        return WEBSITE_ID;
    }

    public void setWEBSITE_ID(String WEBSITE_ID) {
        this.WEBSITE_ID = WEBSITE_ID;
    }

    public String getBATCH_NUMBER() {
        return BATCH_NUMBER;
    }

    public void setBATCH_NUMBER(String BATCH_NUMBER) {
        this.BATCH_NUMBER = BATCH_NUMBER;
    }

    public String getTITLE() {
        return TITLE;
    }

    public void setTITLE(String TITLE) {
        this.TITLE = TITLE;
    }

    public String getSUB_TITLE() {
        return SUB_TITLE;
    }

    public void setSUB_TITLE(String SUB_TITLE) {
        this.SUB_TITLE = SUB_TITLE;
    }

    public String getTYPE() {
        return TYPE;
    }

    public void setTYPE(String TYPE) {
        this.TYPE = TYPE;
    }

    public String getMEMO() {
        return MEMO;
    }

    public void setMEMO(String MEMO) {
        this.MEMO = MEMO;
    }

    public String getCARBONCOPY_ID() {
        return CARBONCOPY_ID;
    }

    public void setCARBONCOPY_ID(String CARBONCOPY_ID) {
        this.CARBONCOPY_ID = CARBONCOPY_ID;
    }

    public String getHYCLOUD_CHANNEL_ID() {
        return HYCLOUD_CHANNEL_ID;
    }

    public void setHYCLOUD_CHANNEL_ID(String HYCLOUD_CHANNEL_ID) {
        this.HYCLOUD_CHANNEL_ID = HYCLOUD_CHANNEL_ID;
    }

    public DemoData getDemoData() {
        return demoData;
    }

    public void setDemoData(DemoData demoData) {
        this.demoData = demoData;
    }

    @Override
    public String toString() {
        return "ColumnMapData{" +
                "MANUSCRIPT_ID='" + MANUSCRIPT_ID + '\'' +
                ", CC_TARGET_CHANNEL_ID='" + CC_TARGET_CHANNEL_ID + '\'' +
                ", MANUSCRIPT_SEQ_NUM='" + MANUSCRIPT_SEQ_NUM + '\'' +
                ", USER_ID='" + USER_ID + '\'' +
                ", CC_TIME='" + CC_TIME + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", IS_STICKY='" + IS_STICKY + '\'' +
                ", IS_MODIFIED_SEQ_NUM='" + IS_MODIFIED_SEQ_NUM + '\'' +
                ", SORTED_TIME='" + SORTED_TIME + '\'' +
                ", RELATION='" + RELATION + '\'' +
                ", WEBSITE_ID='" + WEBSITE_ID + '\'' +
                ", BATCH_NUMBER='" + BATCH_NUMBER + '\'' +
                ", TITLE='" + TITLE + '\'' +
                ", SUB_TITLE='" + SUB_TITLE + '\'' +
                ", TYPE='" + TYPE + '\'' +
                ", MEMO='" + MEMO + '\'' +
                ", CARBONCOPY_ID='" + CARBONCOPY_ID + '\'' +
                ", HYCLOUD_CHANNEL_ID='" + HYCLOUD_CHANNEL_ID + '\'' +
                ", demoData=" + demoData +
                '}';
    }
}
